# __gnu_pbds::container_traits< Cntnr > Struct Template Reference

container_traits More...

Inherits container_traits_base<Cntnr::container_category>.

List of all members.

## Public Types

- enum { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
- typedef container_traits_base
  < container_category > base_type
- typedef Cntnr::container_category container_category
- typedef Cntnr container_type

  ## Detailed Description

  ### template<typename Cntnr>
  struct __gnu_pbds::container_traits< Cntnr >

  container_traits

  Definition at line 345 of file tag_and_trait.hpp.

  The documentation for this struct was generated from the following file:
  - tag_and_trait.hpp